package net.wanji.utc.common.typeenum;

import lombok.AllArgsConstructor;
import lombok.Getter;

public class BasicEnum {
    @Getter
    @AllArgsConstructor
    public enum ManufacturerEnum {
        QS(1, "青松", "QS"),
        SCATS(2, "SCATS", "SCATS"),
        HS(3, "海信", "Hisense"),
        HK(4, "海康", "HK"),
        JA(5, "京安", "JA"),
        TA(6, "同安", "TA"),
        TSC(7, "励安","TSC"),
        DT(8, "东土","DT"),
        LES(9, "莱斯","LES");

        private Integer code;

        private String name;

        private String id;

        public static ManufacturerEnum getNameByCode(int code) {
            for (ManufacturerEnum manufacturerEnum : ManufacturerEnum.values()) {
                if (manufacturerEnum.getCode() == code) {
                    return manufacturerEnum;
                }
            }
            return null;
        }

        public static ManufacturerEnum getNameById(String id) {
            for (ManufacturerEnum manufacturerEnum : ManufacturerEnum.values()) {
                if (manufacturerEnum.getId().equals(id)) {
                    return manufacturerEnum;
                }
            }
            return null;
        }
    }
}
