package net.wanji.utc.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/15 10:48
 */
@Data
public class CrossInfoPO {
    @ApiModelProperty(name = "路口ID",notes = "")
    private String id ;
    /** 路口名称 */
    @ApiModelProperty(name = "路口名称",notes = "")
    private String name ;
    /** 信号机编号 */
    @ApiModelProperty(name = "信号机编号",notes = "")
    private String code ;
    /** 厂商ID */
    @ApiModelProperty(name = "厂商ID",notes = "")
    private Integer manufacturerId ;
    /** 信号机IP */
    @ApiModelProperty(name = "信号机IP",notes = "")
    private String ip ;
    /** 信号机端口 */
    @ApiModelProperty(name = "信号机端口",notes = "")
    private Integer port ;
    /** 经纬度 */
    @ApiModelProperty(name = "经纬度",notes = "")
    private String location ;
    /** 版本号 */
    @ApiModelProperty(name = "版本号",notes = "")
    private String version ;
    /** 型号 */
    @ApiModelProperty(name = "型号",notes = "")
    private String model ;
    /** 安装时间 */
    @ApiModelProperty(name = "安装时间",notes = "")
    private Date installTime ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
