package net.wanji.utc.vo;

import net.wanji.utc.common.baseentity.BaseCrossInfo;
import net.wanji.utc.common.commonentity.Direction;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class DetailCrossInfoVO extends BaseCrossInfo {

    //路口名称
    private String crossName;
    //路口类型，2行人过街 3 丁字口 4 十字口 5 五岔口 6 六岔口
    private String crossType;
    //经度
    private Double lon;
    //纬度
    private Double lat;
    //路口进口方向对象列表
    private List<Direction> directions;

}